<!-- //////////////////////START-SAIL-LIST////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Listado de Ventas</h2>
        <br><br>
        <form role="form" method="post">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="typeclients form-control" id="clientes" name="clientes" placeholder="CLIENTE...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="marca" id="marca" data-placeholder="Marca">
                                <option></option>
                                {% for b in brands %}
									<option value="{{ b.brand_id }}">{{ b.brand_name }}</option>
								{% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account"></i></span>
                        <div class="fg-line">										
                            <input type="text" id="usuarios" name="usuarios" class="typeusers form-control" placeholder="Usuario...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-tag-more"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="estado" id="estado" data-placeholder="Estado">
                                <option></option>
                                <option value="A">Activo</option>
                                <option value="I">Inactivo</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechadesde" id="fechadesde" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechahasta" id="fechahasta" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-collection-item-1"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="form-control" name="serialcontrato" id="serialcontrato" placeholder="# Serial o Contrato">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-info-outline"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="serialescontratos" id="serialescontratos" data-placeholder="Con Serial o Contrato">
                                <option></option>
                                <option value="cs">Con # seriales</option>
                                <option value="cc">Con # contratos</option>
                                <option value="csc">Con # seriales y contratos</option>
                                <option value="ss">Sin # seriales</option>
                                <option value="sc">Sin # contratos</option>
                                <option value="ssc">Sin # seriales y contratos</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-right">
					<input type="hidden" name="_METHOD" value="GET"/>
                    <button type="submit" class="btn btn-primary btn-lg m-t-10"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>									
                <div class="col-sm-6">
                </div>	
                <div class="col-sm-6 text-right">
                    <button class="btn palette-Green bg m-t-25"><i class="zmdi zmdi-download"></i> Descargar Listado</button>
                </div>									
            </div>

        </form>
    </div>

    <!-- ////// --> 
	{% for sale in sales %}
    <div class="m-15 p-15" style="border:1px solid #ccc;">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6">
                <a href="#" class="f-18">#{{ sale.opportunity_salenumber }} venta</a>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 text-right">
                <p class="c-lime">Fecha registro {{ sale.opportunity_date }} - {{ sale.opportunity_user }}</p>
            </div>	

            <div class="col-lg-6 col-md-6 col-sm-4 col-sx-4">
                <span class="f-18 c-green">Cliente<br />{{ sale.opportunity_client }}</span>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-4 col-sx-4">
                <span class="f-18">Marca<br />{{ sale.brand_name }}</span>
            </div>	
            <div class="col-lg-3 col-md-3 col-sm-4 col-sx-4">
                <span class="f-18">Total<br /><strong>usd${{ sale.opportunity_total }}</strong></span>
            </div>		

            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15" style="border-top:1px solid #ccc;">
                <div class="row p-t-15">
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Producto</strong>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Cant. / Valor</strong>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Serial / Contrato</strong>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Fecha Vencimiento</strong>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Fecha Registro</strong>
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        <strong>Estado</strong>
                    </div>
                </div>
            </div>
			{% for detail in sale.opportunity_details %}
            <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12  m-t-15" style="border-top:1px solid #ccc;">
                <div class="row p-t-15">
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        {{ detail.product }}
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        {{ detail.qty }} ({{ detail.currency }}${{ detail.price }})
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
						{% for key, serial in sale.details_serials %}
							{% if key == detail.id_detail %}
								{% for s in serial %}
									<div style="padding-bottom:15px; width:100%">
									{{ s.type }} # {{ s.number }}
									</div>
								{% endfor %}
							{% endif %}
						{% endfor %}
                    </div> 
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        ww {% for key, serial in sale.details_serials %}
							{% if key == detail.id_detail %}
								{% for s in serial %}
									<div style="padding-bottom:15px; width:100%">
									{{ s.enddate }}
									</div>
								{% endfor %}
							{% endif %}
						{% endfor %}
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        {% for key, serial in sale.details_serials %}
							{% if key == detail.id_detail %}
								{% for s in serial %}
									<div style="padding-bottom:15px; width:100%">
									{{ s.date }}
									</div>
								{% endfor %}
							{% endif %}
						{% endfor %}
                    </div>
                    <div class="col-lg-2 col-md-2 col-sm-4 col-sx-4">
                        {% for key, serial in sale.details_serials %}
							{% if key == detail.id_detail %}
								{% for s in serial %}
									<div style="padding-bottom:15px; width:100%">
									{% if s.status == 1 %}<span class="c-green">Registrado</span><br>{% endif %}
									{% if s.status == 0 or s.status == 2 %}<span class="c-red">No Registrado</span><br>{% endif %}
									</div>
								{% endfor %}
							{% endif %}
						{% endfor %}
                    </div>
                </div>
            </div>
			{% endfor %}
        </div>
    </div>
	{% endfor %}

    <!-- ////// --> 

    <br>
</div>
<!-- //////////////////////END-SAIL-LIST////////////////////////////// -->
